package com.bocloud.nms.model.veeam.job;

import java.util.List;

public class AdvancedStorageScheduleMonthlyModel {

    private boolean isEnabled;
    private String dayOfWeek;
    private String dayNumberInMonth;
    private Integer dayOfMonths;
    private List<String> months;

    public boolean  getIsEnabled() {
        return isEnabled;
    }

    public void setIsEnabled(boolean enabled) {
        isEnabled = enabled;
    }

    public String getDayOfWeek() {
        return dayOfWeek;
    }

    public void setDayOfWeek(String dayOfWeek) {
        this.dayOfWeek = dayOfWeek;
    }

    public String getDayNumberInMonth() {
        return dayNumberInMonth;
    }

    public void setDayNumberInMonth(String dayNumberInMonth) {
        this.dayNumberInMonth = dayNumberInMonth;
    }

    public Integer getDayOfMonths() {
        return dayOfMonths;
    }

    public void setDayOfMonths(Integer dayOfMonths) {
        this.dayOfMonths = dayOfMonths;
    }

    public List<String> getMonths() {
        return months;
    }

    public void setMonths(List<String> months) {
        this.months = months;
    }

    @Override public String toString() {
        return "AdvancedStorageScheduleMonthlyModel{" + "isEnabled=" + isEnabled + ", dayOfWeek='" + dayOfWeek + '\''
            + ", dayNumberInMonth='" + dayNumberInMonth + '\'' + ", dayOfMonths=" + dayOfMonths + ", months=" + months
            + '}';
    }
}
